Page MenuHomePhabricator

Research the usage of NewsletterDeletionUpdate (and probably remove it)
Closed, ResolvedPublic

Description

Currently, it does not look like the NewsletterDeletionUpdate class does anything. It looks like it is an unnecessary class that doesn't add any new functionality. Please research and/or confirm this. If indeed it is useless, remove it from the extension.

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterRemove unnecessary class NewsletterDeletionUpdate

Related Objects

StatusSubtypeAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
DeclinedNone
ResolvedAddshore
DuplicateNone
Resolvedori
ResolvedBawolff
ResolvedGlaisher
ResolvedTinaj1234
DeclinedNone
ResolvedGlaisher
Resolved01tonythomas
ResolvedGlaisher
Resolved01tonythomas
OpenNone
OpenDaimona
OpenDaimona
Resolved01tonythomas
ResolvedQgil
ResolvedFilip
ResolvedD3r1ck01
ResolvedNone
Resolved01tonythomas
Resolved01tonythomas
Resolved01tonythomas
Resolved01tonythomas
ResolvedPppery

Event Timeline

MtDu created this task.Dec 30 2016, 11:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2016, 11:28 PM
Pppery claimed this task.Dec 31 2016, 8:00 PM

Change 329804 had a related patch set uploaded (by Pppery):
Remove unnecessary class NewsletterDeletionUpdate

https://gerrit.wikimedia.org/r/329804

The class is indeed redundant; the functionality it provides it also implemented in Newsletter.hooks.php in OnArticleDelete.

01tonythomas closed this task as Resolved.Dec 31 2016, 10:33 PM

Killed with fire :D Thank you!

Change 329804 merged by jenkins-bot:
Remove unnecessary class NewsletterDeletionUpdate

https://gerrit.wikimedia.org/r/329804

Qgil awarded a token.Jan 7 2017, 10:28 AM